Bug 2023945 - Starting service opensmtpd fails with latest EPEL version
Summary: Starting service opensmtpd fails with latest EPEL version
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: opensmtpd
Version: epel8
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-16 19:55 UTC by Carlos
Modified: 2021-11-26 01:27 UTC (History)
1 user (show)

Fixed In Version: opensmtpd-6.8.0p2-7.fc35 opensmtpd-6.8.0p2-3.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-26 01:21:38 UTC
Type: Bug


Attachments (Terms of Use)

Description Carlos 2021-11-16 19:55:15 UTC
Description of problem:

The service opensmtpd won't start with message:

opensmtpd.service: Failed to set up mount namespacing: No such file or directory



Version-Release number of selected component (if applicable):

OS: Rocky 8.5

OpenSMTPD: 6.8.0p2-2



How reproducible:

Always in the latest version (6.8.0p2-2).

Works in previous version (6.8.0p2-1).



Steps to Reproduce:

1. Install OpenSMTPD

dnf -y install epel-release && dnf -y install opensmtpd

2. Try to start the service

systemctl start opensmtpd.service



Actual results:

The service fails to start with the meessage:

Job for opensmtpd.service failed because the control process exited with error code.
See "systemctl status opensmtpd.service" and "journalctl -xe" for details.

And from journalctl:

nov 16 08:36:03 myhost.example.com systemd[1]: Starting OpenSMTPD mail daemon...
nov 16 08:36:03 myhost.example.com systemd[1821]: opensmtpd.service: Failed to set up mount namespacing: No such file or directory
nov 16 08:36:03 myhost.example.com systemd[1821]: opensmtpd.service: Failed at step NAMESPACE spawning /usr/sbin/smtpd: No such file or directory
nov 16 08:36:03 myhost.example.com systemd[1]: opensmtpd.service: Control process exited, code=exited status=226
nov 16 08:36:03 myhost.example.com systemd[1]: opensmtpd.service: Failed with result 'exit-code'.
nov 16 08:36:03 myhost.example.com systemd[1]: Failed to start OpenSMTPD mail daemon.



Expected results:

The service should start successfully .



Additional info:

A little investigation tells me is related to the last release. From changelog:

**2021-11-05** - Denis Fateyev <denis@fateyev.com> - 6.8.0p2-2
- Add hardened security settings to service
- Set "mbox" delivery method usage by default
 
**2021-01-20** - Denis Fateyev <denis@fateyev.com> - 6.8.0p2-1
- Update to 6.8.0p2 release

I think this is the change to blame:
https://src.fedoraproject.org/rpms/opensmtpd/c/92611f2d37da8518783451cfb9f749f42a3b97c4?branch=epel8

I can confirm that previous version (6.8.0p2-1) is working as expected.

dnf install -y https://kojipkgs.fedoraproject.org//packages/opensmtpd/6.8.0p2/1.el8/x86_64/opensmtpd-6.8.0p2-1.el8.x86_64.rpm

systemctl start opensmtpd.service

systemctl is-active opensmtpd.service
active

Comment 1 Denis Fateyev 2021-11-17 01:12:34 UTC
Thanks for the report. Please test the latest package update.

Comment 2 Fedora Update System 2021-11-17 01:15:27 UTC
FEDORA-2021-e667213a58 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e667213a58

Comment 3 Fedora Update System 2021-11-17 01:15:28 UTC
FEDORA-EPEL-2021-fceea1c7eb has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-fceea1c7eb

Comment 4 Carlos 2021-11-17 17:09:24 UTC
Thanks. That was fast.

I can confirm that version 6.8.0p2-3 is working as expected.

Comment 5 Fedora Update System 2021-11-18 01:53:56 UTC
FEDORA-EPEL-2021-fceea1c7eb has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-fceea1c7eb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-11-18 04:44:57 UTC
FEDORA-2021-e667213a58 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e667213a58`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e667213a58

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-11-26 01:21:38 UTC
FEDORA-2021-e667213a58 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-11-26 01:27:13 UTC
FEDORA-EPEL-2021-fceea1c7eb has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.